Misc infrastructure - Bug # 159: Lurker list archives show "No matching frontend" errors

Status: Closed Priority: Normal

Author: chaldene Category:
Updated: 2021-02-01 Due date:

Subject: Lurker list archives show "No matching frontend" errors

Description: Links from Mailman list infos to the Lurker list archives (e.g. http://lists.bitfolk.com/lurker/list/announce.html)

show an error message:

<pre>
Lurker - failed to render page:

No matching frontend (/usr/share/lurker/www/list/announce.html):

The frontend specified in the webserver configuration does not match any frontend in the lurker config file.
</pre>

History

2017-06-23 23:54 - admin
- Status changed from New to In Progress

| see the problem now.

Mailman is using http URLs but my browser (firefox) is respecting the pinned HSTS configuration of bitfolk.com and so redirecting to https before even

requesting it. The https version works, but the http version doesn't.

Presumably you are using some browser like Safari which doesn't request https on such domains. | am able to replicate the problem with lynx (!) and

will use that to test that | have added server-side redirection to https, for the sake of people with bookmarks and old links.

In the mean time | have corrected the URLs in the Mailman interface to be the https version.

2017-06-24 00:51 - admin
- Status changed from In Progress to Resolved

The redirect is in place now.

2017-06-26 09:16 - chaldene
Thanks for the fix. | think my browser was missing the HSTS data - I'm using Chrome but with a new browser profile, and had never visited bitfolk.com
itself on it. When visiting bitfolk.com, | see the STS header and then lists.bitfolk.com | see the internal browser redirect, so appears to work properly

from then on (as does the redirect itself).

2021-02-01 20:48 - admin

- Status changed from Resolved to Closed
